<HTML>
<HEAD><TITLE>Place & Route Report</TITLE>
<STYLE TYPE="text/css">
<!--
 body,pre{    font-family:'Courier New', monospace;    color: #000000;    font-size:88%;    background-color: #ffffff;}h1 {    font-weight: bold;    margin-top: 24px;    margin-bottom: 10px;    border-bottom: 3px solid #000;    font-size: 1em;}h2 {    font-weight: bold;    margin-top: 18px;    margin-bottom: 5px;    font-size: 0.90em;}h3 {    font-weight: bold;    margin-top: 12px;    margin-bottom: 5px;    font-size: 0.80em;}p {    font-size:78%;}P.Table {    margin-top: 4px;    margin-bottom: 4px;    margin-right: 4px;    margin-left: 4px;}table{    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    border-collapse: collapse;}th {    font-weight:bold;    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    text-align:left;    font-size:78%;}td {    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    font-size:78%;}a {    color:#013C9A;    text-decoration:none;}a:visited {    color:#013C9A;}a:hover, a:active {    text-decoration:underline;    color:#5BAFD4;}.pass{background-color: #00ff00;}.fail{background-color: #ff0000;}.comment{    font-size: 90%;    font-style: italic;}
-->
</STYLE>
</HEAD>
<PRE><A name="Par"></A>PAR: Place And Route Diamond (64-bit) 3.13.0.56.2.
Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
Copyright (c) 1995 AT&amp;T Corp.   All rights reserved.
Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
Copyright (c) 2001 Agere Systems   All rights reserved.
Copyright (c) 2002-2023 Lattice Semiconductor Corporation,  All rights reserved.
Tue Oct 15 20:41:37 2024

D:/diamond/diamond/3.13/diamond/3.13/ispfpga\bin\nt64\par -f
CPLD_PORTATILE_impl1.p2t CPLD_PORTATILE_impl1_map.ncd CPLD_PORTATILE_impl1.dir
CPLD_PORTATILE_impl1.prf -gui -msgset
E:/Dropbox/Dropbox/Personale/progetti/Acube/cpld/promote.xml


Preference file: CPLD_PORTATILE_impl1.prf.

<A name="par_cts"></A><B><U><big>Cost Table Summary</big></U></B>
Level/       Number       Worst        Timing       Worst        Timing       Run          NCD
Cost [ncd]   Unrouted     Slack        Score        Slack(hold)  Score(hold)  Time         Status
----------   --------     -----        ------       -----------  -----------  ----         ------
5_1   *      0            -            -            -            -            02           Completed
* : Design saved.

Total (real) run time for 1-seed: 2 secs 

par done!

Note: user must run &apos;Trace&apos; for timing closure signoff.

Lattice Place and Route Report for Design &quot;CPLD_PORTATILE_impl1_map.ncd&quot;
Tue Oct 15 20:41:37 2024


<A name="par_best"></A><B><U><big>Best Par Run</big></U></B>
PAR: Place And Route Diamond (64-bit) 3.13.0.56.2.
Command Line: par -w -l 5 -i 6 -t 1 -c 0 -e 0 -gui -msgset E:/Dropbox/Dropbox/Personale/progetti/Acube/cpld/promote.xml -exp parUseNBR=1:parCDP=0:parCDR=0:parPathBased=OFF:parASE=1 CPLD_PORTATILE_impl1_map.ncd CPLD_PORTATILE_impl1.dir/5_1.ncd CPLD_PORTATILE_impl1.prf
Preference file: CPLD_PORTATILE_impl1.prf.
Placement level-cost: 5-1.
Routing Iterations: 6

Loading design for application par from file CPLD_PORTATILE_impl1_map.ncd.
Design name: cpld_portatile_top
NCD version: 3.3
Vendor:      LATTICE
Device:      LCMXO256C
Package:     TQFP100
Performance: 5
Loading device for application par from file &apos;mj5g10x6.nph&apos; in environment: D:/diamond/diamond/3.13/diamond/3.13/ispfpga.
Package Status:                     Final          Version 1.19.
Performance Hardware Data Status: Version 1.124.
License checked out.


Ignore Preference Error(s):  True

<A name="par_dus"></A><B><U><big>Device utilization summary:</big></U></B>

   GSR                1/1           100% used
   OSC                1/1           100% used
   PIO (prelim)      25/79           31% used
                     25/78           32% bonded
   SLICE             27/128          21% used



Number of Signals: 81
Number of Connections: 166

Pin Constraint Summary:
   25 out of 25 pins locked (100% locked).

The following 1 signal is selected to use the primary clock routing resources:
    osc_outz (driver: SLICE_12, clk load #: 15)

No signal is selected as secondary clock.

Starting Placer Phase 0.

Finished Placer Phase 0.  REAL time: 0 secs 

Starting Placer Phase 1.
...............
Placer score = 5878.
Finished Placer Phase 1.  REAL time: 2 secs 

Starting Placer Phase 2.
.
Placer score =  5878
Finished Placer Phase 2.  REAL time: 2 secs 



<A name="par_clk"></A><B><U><big>Clock Report</big></U></B>

Global Clock Resources:
  CLK_PIN    : 0 out of 4 (0%)

Global Clocks:
  PRIMARY &quot;osc_outz&quot; from Q0 on comp &quot;SLICE_12&quot; on site &quot;R3C2C&quot;, clk load = 15

  PRIMARY  : 1 out of 4 (25%)
  SECONDARY: 0 out of 4 (0%)




I/O Usage Summary (final):
   25 out of 79 (31.6%) PIO sites used.
   25 out of 78 (32.1%) bonded PIO sites used.
   Number of PIO comps: 25; differential: 0.
   Number of Vref pins used: 0.

I/O Bank Usage Summary:
+----------+----------------+------------+------------+------------+
| I/O Bank | Usage          | Bank Vccio | Bank Vref1 | Bank Vref2 |
+----------+----------------+------------+------------+------------+
| 0        | 21 / 41 ( 51%) | 3.3V       | -          | -          |
| 1        | 4 / 37 ( 10%)  | 3.3V       | -          | -          |
+----------+----------------+------------+------------+------------+

Total placer CPU time: 2 secs 

Dumping design to file CPLD_PORTATILE_impl1.dir/5_1.ncd.


-----------------------------------------------------------------
INFO - par: ASE feature is off due to non timing-driven settings.  
-----------------------------------------------------------------

0 connections routed; 166 unrouted.
Starting router resource preassignment

WARNING - par: The following clock signals will be routed by using generic routing resource and may suffer from excessive delay and/or skew.
   Signal=osc_int_2 loads=3 clock_loads=3

Completed router resource preassignment. Real time: 2 secs 

Start NBR router at 20:41:39 10/15/24

*****************************************************************
Info: NBR allows conflicts(one node used by more than one signal)
      in the earlier iterations. In each iteration, it tries to  
      solve the conflicts while keeping the critical connections 
      routed as short as possible. The routing process is said to
      be completed when no conflicts exist and all connections   
      are routed.                                                
Note: NBR uses a different method to calculate timing slacks. The
      worst slack and total negative slack may not be the same as
      that in TRCE report. You should always run TRCE to verify  
      your design.                                               
*****************************************************************

Start NBR special constraint process at 20:41:39 10/15/24

Start NBR section for initial routing at 20:41:39 10/15/24
Level 4, iteration 1
3(0.02%) conflicts; 0(0.00%) untouched conn; 0 (nbr) score; real time: 2 secs 

Info: Initial congestion level at 75% usage is 0
Info: Initial congestion area  at 75% usage is 0 (0.00%)

Start NBR section for normal routing at 20:41:39 10/15/24
Level 4, iteration 1
1(0.01%) conflict; 0(0.00%) untouched conn; 0 (nbr) score; real time: 2 secs 
Level 4, iteration 2
0(0.00%) conflict; 0(0.00%) untouched conn; 0 (nbr) score; real time: 2 secs 

Start NBR section for re-routing at 20:41:39 10/15/24
Level 4, iteration 1
0(0.00%) conflict; 0(0.00%) untouched conn; 0 (nbr) score; real time: 2 secs 

Start NBR section for post-routing at 20:41:39 10/15/24

End NBR router with 0 unrouted connection

NBR Summary
-----------
  Number of unrouted connections : 0 (0.00%)
  Number of connections with timing violations : 0 (0.00%)
  Estimated worst slack&lt;setup&gt; : &lt;n/a&gt;
  Timing score&lt;setup&gt; : 0
-----------
Notes: The timing info is calculated for SETUP only and all PAR_ADJs are ignored.



WARNING - par: The following clock signals will be routed by using generic routing resource and may suffer from excessive delay and/or skew.
   Signal=osc_int_2 loads=3 clock_loads=3

Total CPU time 2 secs 
Total REAL time: 2 secs 
Completely routed.
End of route.  166 routed (100.00%); 0 unrouted.

Hold time timing score: 0, hold timing errors: 0

Timing score: 0 

Dumping design to file CPLD_PORTATILE_impl1.dir/5_1.ncd.


All signals are completely routed.


PAR_SUMMARY::Run status = Completed
PAR_SUMMARY::Number of unrouted conns = 0
PAR_SUMMARY::Worst  slack&lt;setup/&lt;ns&gt;&gt; = &lt;n/a&gt;
PAR_SUMMARY::Timing score&lt;setup/&lt;ns&gt;&gt; = &lt;n/a&gt;
PAR_SUMMARY::Worst  slack&lt;hold /&lt;ns&gt;&gt; = &lt;n/a&gt;
PAR_SUMMARY::Timing score&lt;hold /&lt;ns&gt;&gt; = &lt;n/a&gt;
PAR_SUMMARY::Number of errors = 0

Total CPU  time to completion: 2 secs 
Total REAL time to completion: 2 secs 

par done!

Note: user must run &apos;Trace&apos; for timing closure signoff.

Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
Copyright (c) 1995 AT&amp;T Corp.   All rights reserved.
Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
Copyright (c) 2001 Agere Systems   All rights reserved.
Copyright (c) 2002-2023 Lattice Semiconductor Corporation,  All rights reserved.



<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
</PRE></FONT>
</BODY>
</HTML>
